package com.boman.web.core.utils;

import com.boman.common.core.utils.DateUtils;

import java.util.Date;

/**
 * @author shiqian
 * @date 2021年09月17日 16:08
 **/
public class VaccineUtils {

    public static Date getNextTime(String vaccineName, Date preDate) {
        switch (vaccineName) {
            case "北京科兴中维":
                return DateUtils.addDay(preDate, 14);
            case "北京生物":
            case "兰州生物":
                return DateUtils.addDay(preDate, 21);
            case "深圳康泰":
            case "安徽智飞":
                return DateUtils.addDay(preDate, 28);
            default:
                return null;
        }
    }


}
